GOST Class Reference

GOST More...

`#include <gost.h>`

Inheritance diagram for GOST:

## Public Types

typedef BlockCipherFinal < ENCRYPTION, Enc > | Encryption
typedef BlockCipherFinal < DECRYPTION, Dec > | Decryption

## Static Public Member Functions

static const char * | StaticAlgorithmName ()
static size_t | StaticGetValidKeyLength (size_t)

## Static Public Attributes

static const int | BLOCKSIZE
static const int | KEYLENGTH
static const int | MIN_KEYLENGTH
static const int | MAX_KEYLENGTH
static const int | DEFAULT_KEYLENGTH
static const int | IV_REQUIREMENT
static const int | IV_LENGTH

## Detailed Description

GOST

Definition at line 19 of file gost.h.

The documentation for this class was generated from the following file:

- gost.h